<?php
session_start();
include('../conexion.php');
include('../include/sesiones.php');




$cedula = $_POST["cedula_cuen"];
$dv = "X";

// Arreglo de los pesos para el cálculo
$arreglo = [3, 7, 13, 17, 19, 23, 29, 37, 41, 43, 47, 53, 59, 67, 71];
$x = 0;
$z = strlen($cedula); // Longitud de la cédula

// Calcular el dígito de verificación
for ($i = 0; $i < $z; $i++) {
  $y = (int) substr($cedula, $i, 1); // Extraer cada dígito de la cédula
  $x += $y * $arreglo[$z - $i - 1]; // Multiplicar por el peso correspondiente
}

$y = $x % 11; // Calcular el módulo 11
if ($y > 1) {
  $dv = 11 - $y; // Si el residuo es mayor a 1, el DV es 11 - residuo
} else {
  $dv = $y; // Si no, el DV es igual al residuo
}

$regex = '/^(?=.*[A-Z])(?=.*\d)(?=.*[!@#$%^&*(),.?":{}|<>_]).{8,}$/'; 


$nombre = mb_strtoupper($_POST["nombre_cuen"]);
$tipo_doc = $_POST['clie_tipo_doc'];
$cedula = $_POST["cedula_cuen"];

$clie_barri = mb_strtoupper($_POST["clie_barri"]);
$clie_direc = mb_strtoupper($_POST["clie_direc"]);

$email = mb_strtoupper($_POST["email_cuen"]);
$celular2 = $_POST["celular_cuen"];
$clie_depar = $_POST["clie_departamento"];
$clie_ciu = $_POST["clie_ciudad"];
$contraseña = $_POST["password_cuen_1"];
$contraseña_2 = $_POST["password_cuen_2"];





$tarifa = mysqli_query($con, "SELECT * FROM tarifas  WHERE empresa = '$emp_id' and tar_destacado  = 'si'");
$tari = mysqli_fetch_array($tarifa);
$tar_id = $tari['tar_id'];

$cli = mysqli_query($con, "SELECT MAX(clie_id) AS clie_id FROM cliente  WHERE empresa = '$emp_id'  ");
$cliee = mysqli_fetch_array($cli);
$clie_id = $cliee['clie_id'] + 1;



// Verificar si ya existe un cliente con la cédula o el correo
$veri = mysqli_query($con, "SELECT * FROM cliente WHERE empresa = '$emp_id' AND (clie_cc = '$cedula' OR clie_correo = '$email')");
$vali = mysqli_fetch_array($veri);

if ($vali) {
    if (($vali['clie_cc']) == $cedula) {
        echo '<div class="alert alert-danger" role="alert">El número de cédula ya se encuentra registrado</center></div>';
        exit(); // Detener el proceso si ya existe
    }

    if (mb_strtoupper(($vali['clie_correo'])) == $email) {
        echo '<div class="alert alert-danger" role="alert">El correo ya se encuentra registrado</center></div>';
        exit(); // Detener el proceso si ya existe
    }
}
// Si no existe, continuar con las validaciones
if (preg_match($regex, $contraseña_2)) {
    if ($contraseña == $contraseña_2) {
        $crear = mysqli_query($con, "INSERT INTO cliente (clie_id,clie_cc,clie_dv,clie_tipo_doc,clie_nombre,clie_direccion,clie_barrio,clie_telefono,clie_correo, clie_departamento ,clie_ciudad,clie_contribuyente,clie_regimen,clie_registro,clie_clave,clie_cotizar,clie_credito,clie_cupo_credito,clie_disponible,clie_nota_credito,tarifas_tar_id,facturador,empresa) 
        VALUES ('$clie_id','$cedula','$dv','$tipo_doc','$nombre','$clie_direc','$clie_barri','$celular2', '$email', '$clie_depar','$clie_ciu',1,1,0000-00,'$contraseña',1,0,0,0,0,$tar_id,'no','$emp_id')");

        if ($crear) {
                echo '<div class="alert alert-success" role="alert"><center>Cuenta creada con éxito</center></div>';
                $_SESSION['clie_id'] = $clie_id;
                echo '<script type="text/javascript">
                        setTimeout(function(){
                            location.reload();
                        }, 2000); // Recarga después de 2 segundos
                      </script>';
                exit();
            } else {
                echo '<div class="alert alert-danger" role="alert"><center>Error al crear la cuenta: ' . mysqli_error($con) . '</center></div>';
            }

    } else {
        echo '<div class="alert alert-danger" role="alert">Las contraseñas no coinciden</center></div>';
    }
} else {
    echo '<div class="alert alert-danger" role="alert">
        <center>La contraseña debe tener al menos 8 caracteres, mayúsculas, números y caracteres especiales */_().</center>
    </div>';
}
